millesima_account_executive_compte_consulter:
    path:     /consulter
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:consulterCompte}

millesima_account_executive_compte_edit:
    path:     /edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:editCompte}

####################

millesima_account_executive_ajax_get_acheteur_by_account:
    path:     /consulter/liste/acheteur/{idU}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:listeAcheteur}
    options:
            expose: true

millesima_account_executive_ajax_affect_acheteur_to_demandeur:
    path:     /affect/{idA}/{idD}/acheteur
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affectationAcheteurToDemandeur}
    options:
            expose: true

millesima_account_executive_ajax_annuler_affect_acheteur_to_demandeur:
    path:     /affect/annuler/{idA}/{idD}/acheteur
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:annulerAffectationAcheteurToDemandeur}
    options:
            expose: true

####################

millesima_account_executive_ajax_get_demandeur_by_account:
    path:     /consulter/liste/demandeur/{idU}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:listeDemandeur}
    options:
            expose: true

millesima_account_executive_ajax_affect_demandeur_to_representant:
    path:     /affect/{idD}/{idR}/demandeur
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affectationDemandeurToRepresentant}
    options:
            expose: true

millesima_account_executive_ajax_annuler_affect_demandeur_to_representant:
    path:     /affect/annuler/{idD}/{idR}/demandeur
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:annulerAffectationDemandeurToRepresentant}
    options:
            expose: true

####################

millesima_account_executive_compte_affecter_fournisseur:
    path:     /affecter/fournisseur
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affecterFournisseurCompte}

millesima_account_executive_compte_affecter_fournisseur_add:
    path:     /add/{data_string}/fournisseurs
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:addAffectationFournisseursCompte}
    options:
            expose: true

millesima_account_executive_compte_affecter_fournisseur_delete:
    path:     /delete/{data_string}/fournisseurs
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:deleteAffectationFournisseursCompte}
    options:
            expose: true

####################

millesima_account_executive_compte_affecter_article:
    path:     /affecter/article
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affecterArticleCompte}

millesima_account_executive_compte_affecter_article_add:
    path:     /add/{data_string}/articles
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:addAffectationArticlesCompte}
    options:
            expose: true

millesima_account_executive_compte_affecter_article_delete:
    path:     /delete/{data_string}/articles
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:deleteAffectationArticlesCompte}
    options:
            expose: true

####################

millesima_account_executive_compte_affecter_type:
    path:     /affecter/types
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affecterTypeCompte}

millesima_account_executive_compte_affecter_type_add:
    path:     /add/{data_string}/types
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:addAffectationTypesCompte}
    options:
            expose: true

millesima_account_executive_compte_affecter_type_delete:
    path:     /delete/{data_string}/types
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:deleteAffectationTypesCompte}
    options:
            expose: true

####################

millesima_account_executive_compte_affecter_prix:
    path:     /affecter/prix
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affecterPrixArticle}

millesima_account_executive_compte_liste_prix:
    path:     /article/liste
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:listePrixArticle}

millesima_account_executive_compte_edit_prix:
    path:     /article/{idV}/edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:editPrixArticle}

millesima_account_executive_compte_delete_prix:
    path:     /article/{idV}/delete
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:deletePrixArticle}

####################

millesima_account_executive_demande_nouvelle:
    path:     /demande/nouvelle
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:dossierNew}

millesima_account_executive_demande_encours:
    path:     /demande/encours
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:dossierListeCours}

millesima_account_executive_demande_confirmes:
    path:     /demande/confirmes
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:dossierListeConfirmer}

millesima_account_executive_demande_valides:
    path:     /demande/valides
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:dossierListeValider}

millesima_account_executive_demande_clotures:
    path:     /demande/clotures
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:dossierListeCloturer}

millesima_account_executive_demande_edit:
    path:      /demande/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:editDemande}

################### Ajax requests #######################

millesima_account_executive_ajax_get_by_region_and_type:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getFournisseursByRegionAndType}
    options:
        expose: true

millesima_account_executive_ajax_get_by_region_and_type_for_edit:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getFournisseursByRegionAndTypeEdit}
    options:
        expose: true

millesima_account_executive_ajax_get_by_region_and_type_for_show:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getFournisseursByRegionAndTypeEditShow}
    options:
        expose: true

millesima_account_executive_ajax_get_articles_by_fournisseur:
    path:     /demande/get_by_fournisseurs/{idFournisseur}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getArticlesByFournisseur}
    options:
        expose: true

millesima_account_executive_ajax_get_articles_by_fournisseur_for_edit:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getArticlesByFournisseurEdit}
    options:
        expose: true

millesima_account_executive_ajax_get_articles_by_fournisseur_for_show:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getArticlesByFournisseurEditShow}
    options:
        expose: true

millesima_account_executive_ajax_get_comptes_facturation_by_account:
    path:     /demande/get_by_compte/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getCompteFacturationByCompte}
    options:
        expose: true

millesima_account_executive_ajax_get_comptes_facturation_by_account_for_edit:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getCompteFacturationByCompteEdit}
    options:
        expose: true

millesima_account_executive_ajax_get_comptes_facturation_by_account_for_show:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getCompteFacturationByCompteEditShow}
    options:
        expose: true

millesima_account_executive_ajax_get_client:
    path:     /demande/get_client
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getClient}
    options:
        expose: true

millesima_account_executive_ajax_verfier_compatibilite_article:
    path:     /demande/article/verification/{articles}/{type}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:getVerificationArticle}
    options:
        expose: true

####################

millesima_account_executive_dossier_affectation:
    path:     /dossier/{idD}/{idU}/affectation
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:affectationDossier}

millesima_account_executive_dossier_affectation_edit:
    path:     /dossier/affectation/{idD}/{idU}/edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:editAffectationDossier}

millesima_account_executive_dossier_affectation_delete:
    path:     /dossier/affectation/{idD}/delete
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:deleteAffectationDossier}

####################

millesima_account_executive_dossier_delegation:
    path:     /dossier/{idD}/{idU}/delegation
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:delegationDossier}

millesima_account_executive_dossier_delegation_edit:
    path:     /dossier/delegation/{idD}/{idU}/edit
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:editDelegationDossier}

millesima_account_executive_dossier_delegation_delete:
    path:     /dossier/delegation/{idD}/delete
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:deleteDelegationDossier}

millesima_account_executive_dossier_revalide:
    path:     /demande/revalide/{idD}
    defaults: { _controller: MillesimaActionsBundle:AccountExecutiveCompte:RevaliderDossier}
    options:
        expose: true

####################

millesima_account_executive_user_compte_ajout:
    path:     /user/compte/ajout
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:userCompteNew}

millesima_account_executive_user_compte_list:
    path:     /user/compte/liste
    defaults: { _controller: MillesimaActionsBundle:AccountExecutive:userCompteListe}